-- Utils 模块配置
-- 此文件被主项目通过 includes("utils") 引入

-- Utils 库
target("utils_lib")
-- Qt 配置
    add_rules("qt.static")
--    set_kind("static")
    if is_plat("windows") then
        add_defines("UNICODE", "_UNICODE")
    end
    
    -- 源文件
    add_files("*.cpp")
    
    add_defines("UTILS_STATIC_LIBRARY", {public = true})
    -- 头文件
    add_headerfiles("*.h")
    
    -- 包含目录
    add_includedirs("..", {public = true})
    add_includedirs(".", {public = true})
    add_includedirs("3rdparty", {public = true})
    

    
    -- Qt MOC 处理
    add_files("*.h", {rules = "qt.moc"})
    
    -- Windows 特定链接库
    if is_plat("windows") then
        add_syslinks("user32", "gdi32", "ole32", "shell32")
        add_syslinks("advapi32", "kernel32")
        add_syslinks("dbghelp")
    end
    add_frameworks("QtCore", "QtGui", "QtWidgets", "QtNetwork", "QtMultimedia")
target_end()
